%define name downman
%define version 0.0.5
%define release %mkrel 3

Name:		%name
Summary:	Downman is a download manager for gnome
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://downman.sourceforge.net/
Group:		Networking/File transfer
Source0:	%{name}-%{version}.tar.bz2
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
Patch0:		downman-gcc4.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:	automake >= 1.4
BuildRequires:	libgnome2-devel >= 2.0
BuildRequires:	libgnomeui2-devel >= 2.0
BuildRequires:	libglib2.0-devel >= 2.0
BuildRequires:	libglade2.0-devel >= 2.0

%description
Downman is a download manager for gnome.
It comes with a daemon, a gui and a monitor.

%prep
%setup -q
%patch0 -p0 -b .gcc4

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/gdownman" icon="%name.png" \
                needs="X11" section="Networking/File Transfer" \
 title="Downman" longtitle="Download manager"
EOF

%find_lang %name 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root,0755)
%doc NEWS
%{_bindir}/*
%_menudir/%name
#%{_datadir}/locale/*/LC_MESSAGES/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/gdownman
%{_datadir}/applications/gdownman.desktop
%{_datadir}/pixmaps/gdownman.png

%changelog
* Tue Jul 26 2005 Olivier Thauvin <nanardon@mandriva.org> 0.0.5-3mdk
- Fix typo in menu

* Tue Jul 26 2005 Olivier Thauvin <nanardon@mandriva.org> 0.0.5-2mdk
- rebuild
- Patch0: gcc4 fix

* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.5-1mdk
- 0.0.5
 
* Thu Jul 31 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.0.2-2mdk
- fix url (Olivien Blin)
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- minor cosmetics
- buildrequires

* Thu Jul 31 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.2-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
